Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg
Interface RemoteConfigurationAdhocUpload

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteConfigurationAdhocUpload

extends java.rmi.Remote

This interface defines methods to manage Adhoc upload configuration of a server remotely.

Since:
  V8.2

Method Summary
`java.lang.String[]` | `getUploadEnableFileTypes()` Gets the file types supported for uploading.
`int` | `getUploadUpperSize()` Gets the size allowed for uploaded files.
`boolean` | `isUploadEnable(java.lang.String fileType)` Gets if uploading is enabled.
`void` | `setUploadEnable(java.lang.String fileType, boolean isEnable)` Sets if uploading is enabled.
`void` | `setUploadUpperSize(int upperSize)` Sets the size allowed for uploaded files.

Method Detail

### isUploadEnable

    boolean isUploadEnable(java.lang.String fileType)
                           throws java.rmi.RemoteException

  Gets if uploading is enabled.

  Parameters:
    `fileType` - the file type
  Returns:
    if uploading is enabled
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setUploadEnable

    void setUploadEnable(java.lang.String fileType,
                         boolean isEnable)
                         throws java.rmi.RemoteException

  Sets if uploading is enabled.

  Parameters:
    `fileType` - the file type
    `isEnable` - whether uploading is enabled
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getUploadEnableFileTypes

    java.lang.String[] getUploadEnableFileTypes()
                                                throws java.rmi.RemoteException

  Gets the file types supported for uploading.

  Returns:
    array of file types
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setUploadUpperSize

    void setUploadUpperSize(int upperSize)
                            throws java.rmi.RemoteException

  Sets the size allowed for uploaded files.

  Parameters:
    `upperSize` - the allowed size
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getUploadUpperSize

    int getUploadUpperSize()
                           throws java.rmi.RemoteException

  Gets the size allowed for uploaded files.

  Returns:
    the allowed size
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD